# $Revision: 1.53 $, $Date: 2011/07/30 19:52:56 $
#
# Conditional build:
%bcond_without	snmp		# disable SNMP
%bcond_without	threadsafe_dns	# disable thread safe DNS
#
%define		_majver		4
%define		_minver		1

Summary:	Firewall Builder API
Summary(pl.UTF-8):	Biblioteka Firewall Buildera
Name:		libfwbuilder
Version:	%{_majver}.%{_minver}.3
Release:	2
License:	GPL v2
Group:		Libraries
Source0:	http://downloads.sourceforge.net/fwbuilder/%{name}-%{version}.tar.gz
# Source0-md5:	810e832a3cadc625917403f4b191fda2
Patch0:		%{name}-configure.patch
Patch1:		%{name}-c++.patch
Patch2:		%{name}-dont-mess-with-compiler-names-and-ccache.patch
URL:		http://www.fwbuilder.org/
BuildRequires:	autoconf
BuildRequires:	automake
# it uses internal symbols from libresolv.a :/
%{?with_threadsafe_dns:BuildRequires:	glibc-static}
BuildRequires:	libstdc++-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
%{?with_snmp:BuildRequires:	net-snmp-devel}
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	qt4-qmake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Firewall Builder API Library.

%description -l pl.UTF-8
Biblioteka Firewall Buildera.

%package devel
Summary:	Header files and develpment documentation for libfwbuilder
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumetacja do libfwbuilder
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
# it uses internal symbols from libresolv.a :/
%{?with_threadsafe_dns:Requires:	glibc-static}
Requires:	libstdc++-devel
Requires:	libxml2-devel
Requires:	libxslt-devel
%{?with_snmp:Requires:	net-snmp-devel}
Requires:	openssl-devel
Obsoletes:	libfwbuilder-static

%description devel
Header files and develpment documentation for libfwbuilder.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do libfwbuilder.

%prep
%setup -q
%patch0 -p1
#%patch1 -p1
#%patch2 -p1

%{__perl} -pi -e 's@/usr/lib/libresolv@/usr/%{_lib}/libresolv@' configure.in
%{__perl} -pi -e 's@/lib$@/%{_lib}@' qmake.inc.in

%build
export QTDIR="%{_usr}"
export QMAKESPEC="%{_datadir}/qt4/mkspecs/linux-g++"

cp -f /usr/share/automake/config.* .
%{__aclocal}
%{__autoconf}
%configure \
	--with-templatedir=%{_datadir}/%{name} \
	--with-qmake=qmake-qt4
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/{AUTHORS,ChangeLog,Credits,README}
%attr(755,root,root) %{_libdir}/libfw*.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfw*.so.9
%{_datadir}/%{name}


%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libfwbuilder-config-%{_majver}
%attr(755,root,root) %{_libdir}/libfw*.so
%{_includedir}/fwb-%{_majver}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libfwbuilder.spec,v $
Revision 1.53  2011/07/30 19:52:56  arekm
- release 2

Revision 1.52  2010/12/09 12:37:42  caleb
- Up to 4.1.3

Revision 1.51  2010/11/15 18:32:52  arekm
- release 2

Revision 1.50  2010/10/26 11:10:19  caleb
- Up to 4.1.2

Revision 1.49  2010/09/16 21:05:12  alucard
- up to 4.1.1

Revision 1.48  2010/08/14 21:21:44  zbyniu
- in devel only .so; ghost .so.9; rel 2

Revision 1.47  2010/07/20 12:34:16  alucard
- up to 4.0.2

Revision 1.46  2009/07/16 11:28:16  alucard
- up to 3.0.5 (3. series are marked stable), works for me
- some patches commented out, as I wasn't sure if they're really not needed
  anymore

Revision 1.45  2008/04/09 19:15:00  twittner
- up to 2.1.18

Revision 1.44  2007-12-22 01:16:19  twittner
- up to 2.1.16

Revision 1.43  2007-11-20 22:59:56  glen
- rel 3

Revision 1.42  2007-11-20 00:51:58  glen
- rel 2

Revision 1.41  2007-06-28 21:34:02  ankry
- restored formatting after merge

Revision 1.40  2007/06/28 17:00:11  twittner
- up to 2.1.12 (moved from DEVEL branch)

Revision 1.22.2.5  2007/06/27 20:54:20  twittner
- up to 2.1.12
- added -c++.patch - add missing declarations
- rel. 0.1: builds, not tested

Revision 1.22.2.4  2007/02/12 13:20:14  baggins
- converted to UTF-8

Revision 1.22.2.3  2006/08/30 16:20:44  czarny
- updated mismatched source link
- md5

Revision 1.22.2.2  2006/08/30 16:13:15  czarny
- up to 2.1.5
- branch for devel version

Revision 1.37  2006/07/28 21:51:31  charles
- updated to 2.0.12 (bugfix release)
- STBR

Revision 1.36  2005/12/13 13:31:29  charles
- updated to 2.0.10

Revision 1.35  2005/07/10 11:35:23  paszczus
- updated to 2.0.8

Revision 1.34  2005/06/05 22:12:38  paszczus
- updated to 2.0.7 ; STBR

Revision 1.33  2005/02/21 09:59:45  charles
- updated to 2.0.6

Revision 1.32  2005/01/11 23:43:53  adamg
- updated to 2.0.5

Revision 1.31  2004/12/06 11:23:01  kolodko
- up to 2.0.4 by Charles <charles (at) os.pl>

Revision 1.30  2004/10/28 03:01:46  misi3k
- updated to 2.0.3 [STBR]

Revision 1.29  2004/10/06 11:44:08  qboosh
- bconds header

Revision 1.28  2004/09/19 20:54:20  djurban
- add bconds to avoid stupid glibc-static and net-snmp reqs + use qmakespec to pass all required paltform dependend info to qmake

Revision 1.27  2004/09/01 17:12:03  paszczus
- updated to 2.0.2
- updated libfwbuilder-configure.patch

Revision 1.26  2004/09/01 11:49:23  snurf
- typos / formatting / etc.

Revision 1.25  2004/08/16 20:02:37  misi3k
- updated to 2.0.1

Revision 1.24  2004/08/07 09:12:56  qboosh
- fixed build on amd64, release 2

Revision 1.23  2004/08/01 19:01:24  qboosh
- updated to 2.0.0
- removed useless static patch, dropped static package (qmake doesn't build it)
- added configure patch

Revision 1.22  2004/06/05 22:51:27  qboosh
- glib version in devel R

Revision 1.21  2004/06/05 22:50:07  qboosh
- updated to 1.0.2

Revision 1.20  2004/03/19 23:46:29  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.19  2003/09/30 20:18:25  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.18  2003/09/09 10:29:55  grzegol
- updated to 1.0.1
- added static patch (build also static libraries)

Revision 1.17  2003/07/14 10:16:46  qboosh
- BR+R glibc-static (libresolv.a is abused) :/

Revision 1.16  2003/07/14 10:15:06  qboosh
- updated BRs (libsigc++1 no longer used, s/net-snmp-compat/net-snmp/)
- added devel deps

Revision 1.15  2003/07/13 13:38:39  grzegol
- updated to 1.0.0

Revision 1.14  2003/06/22 10:39:47  eothane
checkpassword-pam.spec

Revision 1.13  2003/05/28 12:59:28  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 05:49:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/05/07 10:50:47  pascalek
- updated to 0.10.13

Revision 1.10  2003/02/13 14:03:34  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.9  2003/01/18 22:53:34  juandon
- removed two lines with define

Revision 1.8  2002/12/17 08:59:51  pascalek
- updated to 0.10.12

Revision 1.7  2002/12/13 15:13:41  pascalek
- updated to 0.10.11

Revision 1.6  2002/10/12 11:31:31  qboosh
- BR: automake

Revision 1.5  2002/07/20 15:08:48  kloczek
- added cflags patch (use proper optimizarions flags).

Revision 1.4  2002/07/14 18:40:58  kloczek
- remove COPYING from %doc (all iwhat is neccessary is in License field).

Revision 1.3  2002/07/14 13:12:39  dobrek
-Upgraded to 0.10.7

Revision 1.2  2002/05/13 10:05:20  kloczek
- release 2: rebuild against ucd-snmp-deve 4.2.5.

Revision 1.1  2002/03/20 10:10:59  misiek
- initial pld release (todo: fix linking library with ssl and snmp)
